%define major        8
%define libname      %mklibname %{name} %{major}
%define libnamedev   %mklibname %{name} -d
%define majorpp      6
%define libnamepp    %mklibname %{name}++ %{majorpp}
%define libnameppdev %mklibname %{name}++ -d

Name:		flac
Version:	1.3.3
Release:	%mkrel 3
Summary:	An encoder/decoder for the Free Lossless Audio Codec
Group:		Sound/Editors and Converters
License:	BSD and GPLv2+
URL:		http://xiph.org/flac/
Source0:	http://downloads.xiph.org/releases/flac/%{name}-%{version}.tar.xz
Patch0:     2e7931c27eb15e387da440a37f12437e35b22dd4.patch
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	id3lib-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(ogg)
%ifarch %{ix86}
BuildRequires:	nasm
%endif

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package -n %{libname}
Summary:	Shared libraries for FLAC
Group:		System/Libraries

%description  -n %{libname}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.

%package -n %{libnamedev}
Summary:	Libraries and headers needed for building apps using FLAC
Group:		Development/C

Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(ogg)
Provides: 	flac-devel = %{version}-%{release}
Provides: 	libflac-devel = %{version}-%{release}
Provides: 	liboggflac-devel = %{version}-%{release}

%description -n %{libnamedev}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.

%package -n %{libnamepp}
Summary:	Shared C++ libraries for FLAC
Group:		System/Libraries

%description  -n %{libnamepp}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.

%package -n %{libnameppdev}
Summary:	Libraries and headers needed for building apps using FLAC++
Group:		Development/C++

Requires:	%{libnamepp} = %{version}-%{release}
Requires:	%{libnamedev} = %{version}-%{release}
Provides: 	flac++-devel = %{version}-%{release}
Provides:	libflac++-devel = %{version}-%{release}
Provides:	liboggflac++-devel = %{version}-%{release}

%description -n %{libnameppdev}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.

%prep
%autosetup -p1

%build
./autogen.sh -V

rm -rf html
cp -r doc/html .

# (cg) Note that the --with-ogg is needed to prevent a lib path error
# leaking to all applications that link against libflac as the libFLAC.la
# file ultimately contains -L/usr/lib even on 64 bit platforms, which causes
# linking warnings to be shown in other applications, about incompatibile types
# for libraries where you have both 32 and 64 bit version installed like ptheads etc.
%configure \
    --disable-static \
    --disable-xmms-plugin \
    --disable-thorough-tests \
    --with-ogg

%make_build

%install
%make_install

mv %{buildroot}%{_datadir}/doc/flac installed-docs

find %{buildroot} -name '*.la' -delete

%check
make check

%files
%doc AUTHORS COPYING* README installed-docs/*
%{_bindir}/%{name}
%{_bindir}/meta%{name}
%{_mandir}/man1/*%{name}.1*

%files -n %{libname}
%{_libdir}/libFLAC.so.%{major}{,.*}

%files -n %{libnamepp}
%{_libdir}/libFLAC++.so.%{majorpp}{,.*}

%files -n %{libnamedev}
%{_includedir}/FLAC
%{_libdir}/libFLAC.so
%{_datadir}/aclocal/libFLAC.m4
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libnameppdev}
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.so
%{_datadir}/aclocal/libFLAC++.m4
%{_libdir}/pkgconfig/%{name}++.pc


%changelog
* Sat Dec 26 2020 neoclust <neoclust> 1.3.3-3.mga8
+ Revision: 1664038
- Add P0 to fix CVE-2020-0499 (mga#27933)

* Sat Feb 15 2020 umeabot <umeabot> 1.3.3-2.mga8
+ Revision: 1528378
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 20 2019 daviddavid <daviddavid> 1.3.3-1.mga8
+ Revision: 1430525
- new version: 1.3.3

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-3.mga7
+ Revision: 1297710
- Mageia 7 Mass Rebuild

* Fri May 04 2018 luigiwalser <luigiwalser> 1.3.2-2.mga7
+ Revision: 1226060
- add patch from opensuse to fix CVE-2017-6888

* Fri Jan 06 2017 luigiwalser <luigiwalser> 1.3.2-1.mga6
+ Revision: 1080321
- 1.3.2

* Thu Feb 11 2016 umeabot <umeabot> 1.3.1-4.mga6
+ Revision: 953942
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 1.3.1-3.mga6
+ Revision: 872453
- rebuild with gcc 5

* Thu Apr 02 2015 oden <oden> 1.3.1-2.mga5
+ Revision: 819555
- P1: the previous fix for CVE-2014-9028 was incomplete (RHSA-2015:0767-1)

* Sun Nov 30 2014 luigiwalser <luigiwalser> 1.3.1-1.mga5
+ Revision: 800017
- 1.3.1
- remove upstream patches
- enable test suite

* Tue Nov 25 2014 luigiwalser <luigiwalser> 1.3.0-5.mga5
+ Revision: 799128
- add upstream patches to fix CVE-2014-8962, CVE-2014-9028, and sf bug 418

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 742621
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 679219
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 529198
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.3.0-1.mga4
+ Revision: 450908
- 1.3.0
- update URLs
- remove no longer needed patches
- disable hidesyms patch (breaks build with nasm)
- add some fixes from upstream (via omdv)
- disable static libs

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-13.mga3
+ Revision: 350466
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 1.2.1-12.mga3
+ Revision: 338538
- patch10: fix build with automake 1.13

* Fri Nov 02 2012 supp <supp> 1.2.1-11.mga3
+ Revision: 312702
- change RPM group as per new specicication

* Fri Dec 30 2011 supp <supp> 1.2.1-10.mga2
+ Revision: 188862
- rebuild for mga2

* Sun Mar 27 2011 colin <colin> 1.2.1-10.mga1
+ Revision: 77968
- Fix leakage of /usr/lib link path on 64 bit systems
- Fix build when different versions of autotools are installed

* Thu Jan 13 2011 ahmad <ahmad> 1.2.1-9.mga1
+ Revision: 7872
- drop old/unneeded scriptlets
- imported package flac


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1.2.1-8mdv2011.0
+ Revision: 605827
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-7mdv2010.1
+ Revision: 521126
- rebuilt for 2010.1

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 1.2.1-6mdv2010.0
+ Revision: 448272
- use nasm on x86 only (from Arnaud Patard)
- gtk-devel buildrequire is useless (from Arnaud Patard)

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 1.2.1-4mdv2009.1
+ Revision: 352744
- diff p7 to fix string format not literal

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-3mdv2009.0
+ Revision: 264464
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 209712
- sync with fedora

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 08 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2008.1
+ Revision: 95688
- new version

* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2008.0
+ Revision: 55188
- new version
- fix devel package names

* Sun May 13 2007 Anssi Hannula <anssi@mandriva.org> 1.1.4-2mdv2008.0
+ Revision: 26539
- add conflicts with previous devel package


* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.0
+ Revision: 120706
- new version
- update file list

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-2mdv2007.1
+ Revision: 94987
- fix devel deps

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 88488
- Import flac

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
- new major
- drop oggflac
- drop patches 0,1,2
- new version

* Sun Jul 02 2006 Götz Waschk <waschk@mandriva.org> 1.1.2-7mdv2007.0
- allow build without xmms

* Sat Jul 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.2-6mdv2007.0
- drop xmms plugin

* Wed Nov 02 2005 Götz Waschk <waschk@mandriva.org> 1.1.2-5mdk
- fix patch 1 (Anssi Hannula)

* Sat Apr 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.2-4mdk
- patch3: fix build with ppc gnu binutils
- add BuildRequires: gettext-devel

* Fri Apr 22 2005 Götz Waschk <waschk@mandriva.org> 1.1.2-3mdk
- fix the patch

* Thu Apr 21 2005 Götz Waschk <waschk@mandriva.org> 1.1.2-2mdk
- try to fix bug #15553 with patch 2

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- bump majors
- new version

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.1-0.beta1.3mdk
- libtool & lib64 fixes

* Sat Sep 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-0.beta1.2mdk
- Fix requires (allow to upgrade MDK9.2->10.1)

* Tue Aug 03 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.1-0.beta1.1mdk
- fix majors
- fix doc section
- new version

* Fri Jul 23 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.0-8mdk
- make menu title unique (else the GNOME menu method doesn't work)

* Thu Jul 22 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.0-7mdk
- add hidden menu entry to associate flac files with xmms

* Fri Jun 04 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.1.0-6mdk
- Rebuild against gcc

